Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Serializer Class Reference

`#include <coherence/io/Serializer.hpp>`

Inherits Object.

Inherited by PofContext `[virtual]`.

List of all members.

## Detailed Description

The Serializer interface provides the capability of reading and writing an object from and to an in-memory buffer.

Author:
  jh 2007.12.20

See also:
  ReadBuffer

  WriteBuffer

## Public Types
typedef spec::Handle | Handle
| Serializer Handle definition.
typedef spec::View | View
| Serializer View definition.
typedef spec::Holder | Holder
| Serializer Holder definition.
## Public Member Functions
virtual void | serialize (WriteBuffer::BufferOutput::Handle hOut, Object::View v) const =0
| Serialize an object to a WriteBuffer by writing its state using the specified BufferOutput object.
virtual Object::Holder | deserialize (ReadBuffer::BufferInput::Handle hIn) const =0
| Deserialize an object from a ReadBuffer by reading its state using the specified BufferInput object.

## Member Function Documentation

virtual void serialize | ( | WriteBuffer::BufferOutput::Handle | hOut,
|  | Object::View | v |
| ) |  |  | const `[pure virtual]`

Serialize an object to a WriteBuffer by writing its state using the specified BufferOutput object.

Parameters:

  | hOut | the BufferOutput with which to write the object's state
  | v | the object to serialize

virtual void IOException if an I/O error occurs

Implemented in SimplePofContext.

virtual Object::Holder deserialize | ( | ReadBuffer::BufferInput::Handle | hIn | ) | const `[pure virtual]`

Deserialize an object from a ReadBuffer by reading its state using the specified BufferInput object.

Parameters:

  | hIn | the BufferInput with which to read the object's state

Returns:
  the deserialized user type instance

virtual void IOException if an I/O error occurs

Implemented in SimplePofContext.

The documentation for this class was generated from the following file:

- coherence/io/Serializer.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.